@ECHO OFF

:: プチ・ロワイヤル仏和辞典の辞書データファイルの絶対パス
set SQLFILE="C:\Program Files\PetitRoyal\DB\petit_royal.sqlite"

:: 辞書本文の欧文・日本語単語のインデックス種別（表記　または 条件）
:: 「条件」（条件検索用）とする場合は、EBStudioのプロフェッショナル版が必要
set KEYTYPE_LA=条件
set KEYTYPE_JP=表記

echo DB file: %SQLFILE%

echo creating items.html
java -cp zephyr.jar;sqlitejdbc-v056.jar zephyr.obunsha.petitroyal.MakeBodyHtml %SQLFILE% ^
	| java -Xmx512M -cp zephyr.jar zephyr.util.XalanTransformer items2html.xsl ^
	| java -cp zephyr.jar zephyr.obunsha.petitroyal.SedBodyHtml %KEYTYPE_JP% ^
	| java -cp zephyr.jar zephyr.util.AppendLatinKeys - %KEYTYPE_LA% ^
	| java -cp zephyr.jar zephyr.util.UTF8toSJIS - check GaijiMap.xml ^
	> items.html

echo creating morph.html
java -cp zephyr.jar;sqlitejdbc-v056.jar zephyr.obunsha.petitroyal.MakeMorphHtml %SQLFILE% ^
	| java -cp zephyr.jar zephyr.util.UTF8toSJIS - check GaijiMap.xml ^
	> morph.html

echo creating conju.html
java -cp zephyr.jar;sqlitejdbc-v056.jar zephyr.obunsha.petitroyal.MakeConjuHtml %SQLFILE% ^
	| java -cp zephyr.jar zephyr.util.UTF8toSJIS - check GaijiMap.xml ^
	> conju.html
